Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore
Class AbstractAnnotatedObject

    java.lang.Object
      ix.icore.AbstractAnnotatedObject

All Implemented Interfaces:
  Annotated, java.io.Serializable

Direct Known Subclasses:
  AbstractIXObject, ChatMessage, ContextAnnotatedObject, GenericConstraint, IPC.BasicInputMessage, UIDomain, UIGrammar, UIObjectClass

    public abstract class AbstractAnnotatedObject

extends java.lang.Object
implements Annotated, java.io.Serializable

Provides an implementation of the `Annotated` interface plus support for `AnnotationListener`s.

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `annotationListeners`
`protected Annotations` | `annotations`

Constructor Summary
`AbstractAnnotatedObject()`

Method Summary
`void` | `addAnnotationListener(AnnotationListener listener)`
`protected java.util.Map` | `annMap()`
`void` | `clearAnnotations()`
`void` | `fireSetAnnotation(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `getAnnotation(java.lang.Object key)`
`Annotations` | `getAnnotations()`
`java.lang.String` | `getComments()`
`protected void` | `makeAnnMap()`
`void` | `removeAnnotation(java.lang.Object key)`
`void` | `setAnnotation(java.lang.Object key, java.lang.Object value)`
`void` | `setAnnotations(Annotations annotations)`
`void` | `setComments(java.lang.String comments)`
`void` | `takeAnnotations(java.util.Map map)` Calls `setAnnotation(Object, Object)` on all key-value pairs in the map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### annotations

    protected Annotations annotations

### annotationListeners

    protected java.util.List annotationListeners

Constructor Detail

### AbstractAnnotatedObject

    public AbstractAnnotatedObject()

Method Detail

### annMap

    protected java.util.Map annMap()

### makeAnnMap

    protected void makeAnnMap()

### getAnnotations

    public Annotations getAnnotations()

  Specified by:
    `getAnnotations` in interface `Annotated`

### setAnnotations

    public void setAnnotations(Annotations annotations)

  Specified by:
    `setAnnotations` in interface `Annotated`

### getAnnotation

    public java.lang.Object getAnnotation(java.lang.Object key)

  Specified by:
    `getAnnotation` in interface `Annotated`

### setAnnotation

    public void setAnnotation(java.lang.Object key,
                              java.lang.Object value)

  Specified by:
    `setAnnotation` in interface `Annotated`

### removeAnnotation

    public void removeAnnotation(java.lang.Object key)

  Specified by:
    `removeAnnotation` in interface `Annotated`

### clearAnnotations

    public void clearAnnotations()

  Specified by:
    `clearAnnotations` in interface `Annotated`

### takeAnnotations

    public void takeAnnotations(java.util.Map map)

  Calls `setAnnotation(Object, Object)` on all key-value pairs in the map.

  Specified by:
    `takeAnnotations` in interface `Annotated`

### getComments

    public java.lang.String getComments()

### setComments

    public void setComments(java.lang.String comments)

### addAnnotationListener

    public void addAnnotationListener(AnnotationListener listener)

  Specified by:
    `addAnnotationListener` in interface `Annotated`

### fireSetAnnotation

    public void fireSetAnnotation(java.lang.Object key,
                                  java.lang.Object value)

  Specified by:
    `fireSetAnnotation` in interface `Annotated`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD